!
! >> IMP Equivalent of $MSGDEF macro <<
!
! Symbolic names for system mailbox messages.
!
%const %integer -
         MSG TRMUNSOLIC = 1,  {unsolicited terminal data}
         MSG CRUNSOLIC  = 2,  {unsolicited card reader data}
         MSG DELPROC    = 3,  {delete process}
         MSG SNDSMB     = 4,  {send to symbiont manager}
         MSG DEVOFFLIN  = 5,  {device offline}
         MSG TRMHANGUP  = 6,  {terminal hangup}
         MSG DEVONLIN   = 7,  {device online}
         MSG OPRQST     = 8,  {operator request}
         MSG OPREPLY    = 9,  {operator reply}
         MSG SMBINI     = 8,  {symbiont is initiated}
         MSG SMBDON     = 9,  {symbiont has finished}
         MSG SNDACC     = 10, {send to accounting manager}
         MSG PURPROC    = 11,
         MSG DELIMAG    = 12,
         MSG PURIMAG    = 13,
         MSG SYSFUNC    = 14,
         MSG XM DATAVL  = 11, {data available (DMC-11)}
         MSG XM SHUTDN  = 12, {unit shutdown  (DMC-11)}
         MSG XM ATTN    = 13, {unit attention (DMC-11)}
         MSG INIOPR     = 16, {initiate file printing}
         MSG ABOOPR     = 17, {abort printing a file}
         MSG SUSOPR     = 18, {pause printing a file}
         MSG RESOPR     = 19, {resume printing a file}
         MSG DELSMB     = 20, {symbiont should delete itself}
         MSG REQUE      = 21,
         MSG SMBRSP     = 32, {symbiont response}
         MSG ACCRSP     = 33, {accounting manager response}
         MSG SCANBAD    = 40,
         MSG SCANRSP    = 41,
         MSG ABORT      = 48, {network partner aborted link}
         MSG CONFIRM    = 49, {network connect confirm}
         MSG CONNECT    = 50, {network inbound connect initiate}
         MSG DISCON     = 51, {network partner disconnected-hangup}
         MSG EXIT       = 52, {network partner exited prematurely}
         MSG INTMSG     = 53, {network interrupt message; unsolicited data}
         MSG PATHLOST   = 54, {network path lost to partner; PVC restart}
         MSG PROTOCOL   = 55, {network protocol error}
         MSG REJECT     = 56, {network connect reject}
         MSG THIRDPARTY = 57, {network third party disconnect}
         MSG TIMEOUT    = 58, {network connect timeout}
         MSG NETSHUT    = 59,
         MSG NODEACC    = 60,
         MSG NODEINACC  = 61,
         MSG EVTAVL     = 62,
         MSG EVTRCVCHG  = 63,
         MSG INCDAT     = 64, {unsolicited incoming data available}
         MSG RESET      = 65, {virtual circuit reset}
         MSG LINUP      = 66,
         MSG LINDWN     = 67,
         MSG EVTXMTCHG  = 68,
         MSG DEVOFFLINX = 80,
         MSG WRONGVOL   = 81,
         MSG DEVWRTLCK  = 82,
         MSG TRMBRDCST  = 83,
         MSG MVCOMPLETE = 84,
         MSG MVABORTED  = 85,
         MSG DISMOUNTED = 86,
         MSG UDA50MVER  = 87,
         MSG DUPUNITNO  = 88
