!
! MTD module specs; basic Mag Tape Definitions
!

%external %routine              %spec Print Error      -
                                %alias "IMP_MTD_PRINT_ERROR" -
                              ( %integer Code )

%external %integer %function    %spec Load          MT -
                                %alias "IMP_MTD_LOAD_MT" -
                              ( %string(63) Drive )

%external %integer %function    %spec Load          MT Read -
                                %alias "IMP_MTD_LOAD_MT" -
                              ( %string(63) Drive )

%external %integer %function    %spec Load          MT Write -
                                %alias "IMP_MTD_LOAD_MT" -
                              ( %string(63) Drive )

%external %routine              %spec Rewind        MT -
                                %alias "IMP_MTD_REWIND_MT" -
                              ( %integer Chan )

%external %routine              %spec Unload        MT -
                                %alias "IMP_MTD_UNLOAD_MT" -
                              ( %integer Chan )

%external %routine              %spec Tape mark     MT -
                                %alias "IMP_MTD_TAPE_MARK_MT" -
                              ( %integer Chan )

%external %routine              %spec Backspace     MT -
                                %alias "IMP_MTD_BACKSPACE_MT" -
                              ( %integer Chan )

%external %routine              %spec Skip Forward  MT -
                                %alias "IMP_MTD_SKIP_FORWARD_MT" -
                              ( %integer Chan )

%external %routine              %spec Skip Backward MT -
                                %alias "IMP_MTD_SKIP_BACKWARD_MT" -
                              ( %integer Chan )

%external %routine              %spec Read      MT -
                                %alias "IMP_MTD_READ_MT" -
                              ( %integer Chan, Buffer, Bytes )

%external %routine              %spec Write     MT     -
                                %alias "IMP_MTD_WRITE_MT" -
                              ( %integer Chan, Buffer, Bytes )

%external %predicate            %spec Tape Mark        -
                                %alias "IMP_MTD_TAPE_MARK"

%record %format IO Status Fm ( %short Status, Count,
                               %integer Info         )

%external %integer              %spec MT Density   %alias "IMP_MTD_DENSITY"
%external %integer              %spec MT Writeable %alias "IMP_MTD_WRITEABLE"
%external %record(IO Status Fm) %spec MT Status    %alias "IMP_MTD_STATUS"
